#pragma once

#include <string>
#include <memory>

class PlainTextDocument
{
    std::string mContent;

public:

    PlainTextDocument();

    static std::unique_ptr<PlainTextDocument> Create();

    std::string GetContent() const;

    void SetContent(const std::string& content);

    void Clear();

};

using PlainTextDocumentUPtr = std::unique_ptr<PlainTextDocument>;
